> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/business-rules/business-rule-details/conditions/condition-details/condition-configuration-details.md).

# Condition configuration details

Condition configuration details are the settings that a condition has to match.

You can add or update conditions through [Product model setup](/pim3/reference/product-model-setup.md) > [Business rules](/pim3/reference/product-model-setup/business-rules.md) > [Conditions](/pim3/reference/product-model-setup/business-rules/business-rule-details/conditions.md).

| Has internal id |                                                                   |
| --------------- | ----------------------------------------------------------------- |
| Internal id     | Internal id that must be matches for the condition to yield true. |

| Has permission |                                                            |
| -------------- | ---------------------------------------------------------- |
| Permission     | A permission the user must have to satisfy this condition. |

| Is classified in category |                                                                                                 |
| ------------------------- | ----------------------------------------------------------------------------------------------- |
| Category                  | A category, where the entity must be placed either directly in or in one of its sub categories. |

| Is using product structure |                                                        |
| -------------------------- | ------------------------------------------------------ |
| Product structure          | The product structure which the entity must belong to. |

| X attribute value condition |                                                                                                    |
| --------------------------- | -------------------------------------------------------------------------------------------------- |
| Attribute                   | The attribute which shall have a specific value.                                                   |
| Criteria type               | The type of criteria you want to make.                                                             |
| Value to match              | The value that must be matched for the condition to yield true (leave empty to match empty value). |

| Has enrichment insight value |                                                                                          |
| ---------------------------- | ---------------------------------------------------------------------------------------- |
| Enrichment insight           | The enrichment insight to base condition on.                                             |
| Value shall be               | What the value of the selected enrichment insight shall be for the condition to be true. |

| Has archive status |                                                             |
| ------------------ | ----------------------------------------------------------- |
| Archive status     | The archive status that entities must match.                |
| Archive reason     | Select if there must be a specific archive reason selected. |

| Is in workflow state |                                               |
| -------------------- | --------------------------------------------- |
| Workflow state       | The workflow state which entities must match. |

| Is in catalogue |                                                     |
| --------------- | --------------------------------------------------- |
| Catalogue       | The catalogue in which the category must be placed. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/business-rules/business-rule-details/conditions/condition-details/condition-configuration-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
